/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { CancelEventArgs } from "igniteui-webcomponents-core";
import { SpreadsheetCell } from "./SpreadsheetCell";
import { markType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export let SpreadsheetEditModeEnteringEventArgs = /*@__PURE__*/ (() => {
    class SpreadsheetEditModeEnteringEventArgs extends CancelEventArgs {
        constructor(a) {
            super(0);
            this._c = new SpreadsheetCell();
            this._c = a;
        }
        get cell() {
            return this._c;
        }
    }
    SpreadsheetEditModeEnteringEventArgs.$t = /*@__PURE__*/ markType(SpreadsheetEditModeEnteringEventArgs, 'SpreadsheetEditModeEnteringEventArgs', CancelEventArgs.$);
    return SpreadsheetEditModeEnteringEventArgs;
})();
